version: "3.9"

services:

  postgres:
    image: postgres:11
    env_file:
      - ./.env
    volumes:
      - ./data/postgres:/var/lib/postgresql/data
    ports:
      - "5432:5432"
    healthcheck:
      test: pg_isready -d app -U worker
      interval: 10s
      timeout: 5s
      retries: 5

  web:
    build: .
    ports:
      - "5000:5000"
    env_file:
      - ./.env
    depends_on:
      postgres:
        condition: service_healthy
